Bug 816287 - [abrt] rapid-photo-downloader-0.4.3-1.fc16: rapid.py:2734:notify_downloaded_from_device:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
[abrt] rapid-photo-downloader-0.4.3-1.fc16: rapid.py:2734:notify_downloaded_f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:3bcb13a8dc503783252066d71ab...
: Reopened
: 836312 915433 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 13:50 EDT by phil
Modified: 2013-12-31 04:53 EST (History)
2 users (show)

See Also:
Fixed In Version: rapid-photo-downloader-0.4.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-31 04:51:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of rpd (64.86 KB, image/png)
2012-08-31 07:14 EDT, phil
no flags Details

  None (edit)
Description phil 2012-04-25 13:50:10 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/rapid-photo-downloader
executable:     /usr/bin/rapid-photo-downloader
kernel:         3.3.2-6.fc16.x86_64
reason:         rapid.py:2734:notify_downloaded_from_device:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
time:           Wed 25 Apr 2012 07:40:45 PM CEST
uid:            500
username:       phil

backtrace:
:rapid.py:2734:notify_downloaded_from_device:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 1384, in task_results
:    self.results_callback(move_succeeded, rpd_file)
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 2518, in subfolder_file_results
:    self.file_download_finished(move_succeeded, rpd_file)
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 2606, in file_download_finished
:    self.notify_downloaded_from_device(scan_pid)
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 2734, in notify_downloaded_from_device
:    n.show()
:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
:
:Local variables in innermost frame:
:notification_name: 'CANON_DC'
:scan_pid: 4629
:no_files_downloaded: 25
:self: <rapid.rapid.RapidApp at / at 0x7f8717fb6750>
:n: <pynotify.Notification object at 0x21c5640 (NotifyNotification at 0x2311ea0)>
:device: <rapid.device.Device instance at 0x1927cb0>
:no_warnings: 0
:file_types_failed: 'photos or videos'
:no_photos_downloaded: 25
:no_files_failed: 0
:no_videos_failed: 0
:message: '25 photos downloaded'
:icon: <gtk.gdk.Pixbuf object at 0x21c56e0 (GdkPixbuf at 0x2325ad0)>
:no_videos_downloaded: 0
:file_types: 'photos'
:no_photos_failed: 0

comment:
:downloaded new photos from sd card.
:
:program downloaded all photos, but did not finish, so i closed the window.

smolt_data:
:
:
:General
:=================================
:UUID: 328613be-caeb-47dc-8c1b-1e9dbcb6b19f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4987.19
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T9300  @ 2.50GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2501
:System Memory: 3953
:System Swap: 6015
:Vendor: Dell Inc.
:System: XPS M1530 
:Form factor: Portable
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:2082:4136:558) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10752:4136:558) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4136:558) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:16937:32902:4385) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:(32902:10302:4136:558) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:4136:558) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:4136:558) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4136:558) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(4523:17236:4136:558) pci, sky2, ETHERNET, 88E8040 PCI-E Fast Ethernet Controller
:(32902:9288:4136:558) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4136:558) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4136:558) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4136:558) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:4136:558) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4136:558) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(32902:10303:4136:558) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4136:558) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10311:4136:558) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:4136:558) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:4136:558) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(4480:1426:4136:558) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4136:558) pci, r852, BASE, xD-Picture Card Controller
:(4480:2098:4136:558) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10293:4136:558) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1031:4136:558) pci, nouveau, VIDEO, G84 [GeForce 8600M GT]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dellin-lv_root / ext4 4096 4096 13092922 11863287 11732259 3276800 3141418 3141418
:/dev/mapper/vg_dellin-lv_home /home ext4 4096 4096 50245490 16330718 13815365 12582912 12493331 12493331
:/dev/mmcblk0p1 WITHHELD vfat 32768 32768 62020 2802 2802 0 0 0
:
Comment 1 phil 2012-06-10 03:12:53 EDT
download files from memory card.

process downloads photos, but does not exit when finished.


Package: rapid-photo-downloader-0.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Fedora Update System 2012-06-26 16:56:24 EDT
rapid-photo-downloader-0.4.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.5-1.fc16
Comment 3 Fedora Update System 2012-06-26 16:56:45 EDT
rapid-photo-downloader-0.4.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.5-1.fc17
Comment 4 Fedora Update System 2012-06-27 23:39:50 EDT
Package rapid-photo-downloader-0.4.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rapid-photo-downloader-0.4.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10010/rapid-photo-downloader-0.4.5-1.fc16
then log in and leave karma (feedback).
Comment 5 phil 2012-06-28 12:43:22 EDT
grabbed the latest version from koji. when the photos finished downloading a bug popped up :(

as it was automatically submitted, here is the link to the bug.

https://bugzilla.redhat.com/show_bug.cgi?id=836312
Comment 6 Fabian Affolter 2012-06-30 04:47:22 EDT
*** Bug 836312 has been marked as a duplicate of this bug. ***
Comment 7 Fabian Affolter 2012-06-30 04:48:11 EDT
Thanks for the report.
Comment 8 Fedora Update System 2012-08-29 20:53:14 EDT
rapid-photo-downloader-0.4.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-29 20:59:47 EDT
rapid-photo-downloader-0.4.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 phil 2012-08-31 07:14:46 EDT
Created attachment 608485 [details]
screenshot of rpd
Comment 11 phil 2012-08-31 07:18:05 EDT
added screenshot of rapid photo downloader (latest version rapid-photo-downloader-0.4.5-1.fc17.noarch)

as you can see it has downloaded all the photos, and after it came up "about 2 seconds remaining" waited for a least 2 minutes, but still did not finish.

to exit, i went file - exit.

any thoughts - let me know if you need further information.
Comment 12 phil 2013-02-23 09:18:33 EST
now running fedora 18 and still have the same error with 0.4.6 beta 1.
Comment 13 Fabian Affolter 2013-06-27 15:58:41 EDT
*** Bug 915433 has been marked as a duplicate of this bug. ***
Comment 14 Fabian Affolter 2013-06-27 16:01:27 EDT
Can you please re-try with 0.4.6.

https://admin.fedoraproject.org/updates/FEDORA-2013-2510/rapid-photo-downloader-0.4.6-1.fc18
Comment 15 KitchM 2013-07-04 15:08:40 EDT
Still happening as of 19.
Comment 16 phil 2013-07-10 16:26:14 EDT
that is the version that i am using as seen in BUG 915433
Comment 17 KitchM 2013-07-23 21:21:48 EDT
What is the resolution of this?  What does RAWHIDE mean?  Has the reason for the program not finishing its processing been figured out exactly?  And will that be solved in the next release?

Thanks.
Comment 18 Fabian Affolter 2013-08-21 18:07:06 EDT
(In reply to KitchM from comment #17)
> What is the resolution of this?  What does RAWHIDE mean?  Has the reason for
> the program not finishing its processing been figured out exactly?  And will
> that be solved in the next release?

Rawhide is the devel version of Fedora.  If the issue will be fixed in the next release knows only upstream. 

The Bug tracker is here: https://bugs.launchpad.net/rapid
Comment 19 Fedora End Of Life 2013-12-21 10:02:24 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora Update System 2013-12-21 13:30:27 EST
rapid-photo-downloader-0.4.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.7-1.fc18
Comment 21 Fedora Update System 2013-12-21 13:30:43 EST
rapid-photo-downloader-0.4.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.7-1.fc19
Comment 22 Fedora Update System 2013-12-21 13:30:54 EST
rapid-photo-downloader-0.4.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.7-1.fc20
Comment 23 Fedora Update System 2013-12-22 22:41:52 EST
Package rapid-photo-downloader-0.4.7-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rapid-photo-downloader-0.4.7-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23854/rapid-photo-downloader-0.4.7-1.fc18
then log in and leave karma (feedback).
Comment 24 Fedora Update System 2013-12-31 04:51:29 EST
rapid-photo-downloader-0.4.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-12-31 04:52:11 EST
rapid-photo-downloader-0.4.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-12-31 04:53:22 EST
rapid-photo-downloader-0.4.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.